package com.nec.peppa.learning.api;

import com.nec.peppa.learning.entity.CertTrainingHistory;
import com.nec.peppa.learning.entity.ResultInfo;
import com.nec.peppa.learning.service.impl.CertTrainingHistoryServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 认证培使用的训历史记录 前端控制器
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-08
 */
@Controller
@RestController
@RequestMapping("/peppa_learning-service")
public class CertTrainingHistoryController{
    @Autowired
    private CertTrainingHistoryServiceImpl certTrainingHistoryService;
    @GetMapping(value = "/cert-training-history")
    public Object findAll(){
        return certTrainingHistoryService.findOne().get("cth");
    }
}

