package com.nec.peppa.learning.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 延续认证规则状态表
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("cert_recert_rule_status")
@ApiModel(value="RecertRuleStatus对象", description="延续认证规则状态表")
public class RecertRuleStatus implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "延续认证规则状态ID")
    @TableId(value = "recert_rule_status_id", type = IdType.AUTO)
    private Long recertRuleStatusId;

    @ApiModelProperty(value = "延续认证规则ID")
    private Long recertRuleId;

    @ApiModelProperty(value = "课程编号")
    private String courseCode;

    @ApiModelProperty(value = "规则课程完成状态")
    private String completeStatus;


}
