package com.nec.peppa.learning.mapper;


import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.nec.peppa.learning.entity.Info;
import com.nec.peppa.learning.entity.RecertRuleStatus;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 延续认证规则状态表 Mapper 接口
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-08
 */
@Mapper
@Repository
public interface RecertRuleStatusMapper extends BaseMapper<RecertRuleStatus> {
    //查询全部数据
    List<RecertRuleStatus> findAll();
    // 根据主键查询一条数据
    RecertRuleStatus findOneById(@Param("recertRuleStatusId") Long recertRuleStatusId);
}
