package com.nec.peppa.learning.mapper;


import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.nec.peppa.learning.entity.RecertRuleStatus;
import com.nec.peppa.learning.entity.RuleInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 认证规则信息表 Mapper 接口
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-08
 */
@Mapper
@Repository
public interface RuleInfoMapper extends BaseMapper<RuleInfo> {
    //查询全部数据
    List<RuleInfo> findAll();
    // 根据主键查询一条数据
    RuleInfo findOneById(@Param("certRuleInfoId") Long certRuleInfoId);
}
