package com.nec.peppa.learning.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.nec.peppa.learning.entity.RecertRuleStatus;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 延续认证规则状态表 服务类
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-08
 */
public interface RecertRuleStatusService extends IService<RecertRuleStatus> {
    //查询全部数据
    List<RecertRuleStatus> findAll();
    // 根据主键查询一条数据
    RecertRuleStatus findOneById(Long recertRuleStatusId);
}
