package com.nec.peppa.learning.service.impl;


import com.nec.peppa.learning.mapper.RecertRecordDetailMapper;
import com.nec.peppa.learning.entity.RecertRecordDetail;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nec.peppa.learning.service.RecertRecordDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

/**
 * <p>
 * 延续认证课程明细表 服务实现类
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-08
 */
@Service
public class RecertRecordDetailServiceImpl extends ServiceImpl<RecertRecordDetailMapper, RecertRecordDetail> implements RecertRecordDetailService {
    @Autowired
    private RecertRecordDetailMapper recertRecordDetailMapper;
    public Map<String,Object> findOne(){
        HashMap<String,Object> map=new HashMap<>();
        int size=recertRecordDetailMapper.selectList(null).size();
        if (size<=0){
            map.put("crrd","cert_recert_record_detail表数据为空");
            return map;
        }
        map.put("crrd",recertRecordDetailMapper.selectList(null).get(0));
        return map;
    }
}
