package com.nec.peppa.learning.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nec.peppa.learning.mapper.TrainingHistoryMapper;
import com.nec.peppa.learning.entity.TrainingHistory;
import com.nec.peppa.learning.service.TrainingHistoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

/**
 * <p>
 * 培训历史记录 服务实现类
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-11
 */
@Service
public class TrainingHistoryServiceImpl extends ServiceImpl<TrainingHistoryMapper, TrainingHistory> implements TrainingHistoryService {
    @Autowired
    private TrainingHistoryMapper trainingHistoryMapper;
    public Map<String,Object> findOne(){
        HashMap<String,Object> map=new HashMap<>();
        int size=trainingHistoryMapper.selectList(null).size();
        if (size<=0){
            map.put("th","traing_history表数据为空");
            return map;
        }
        map.put("th",trainingHistoryMapper.selectList(null).get(0));
        return map;
    }
}
