package com.nec.peppa.learning.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nec.peppa.learning.entity.RuleStatus;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 认证规则状态表 Mapper 接口
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-08
 */
@Mapper
@Repository
public interface RuleStatusMapper extends BaseMapper<RuleStatus> {
    //查询全部数据
    List<RuleStatus> findAll();
    // 根据主键查询一条数据
    RuleStatus findOneById(@Param("certRuleStatusId") Long certRuleStatusId);
}
