package com.nec.peppa.learning.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nec.peppa.learning.mapper.CertTrainingHistoryMapper;
import com.nec.peppa.learning.entity.CertTrainingHistory;
import com.nec.peppa.learning.service.CertTrainingHistoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

/**
 * <p>
 * 认证培使用的训历史记录 服务实现类
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-08
 */
@Service
public class CertTrainingHistoryServiceImpl extends ServiceImpl<CertTrainingHistoryMapper, CertTrainingHistory> implements CertTrainingHistoryService {
        @Autowired
        private CertTrainingHistoryMapper certTrainingHistoryMapper;
        public Map<String,Object> findOne(){
                //创建一个空map集合 为了之后存数据用
                HashMap<String,Object> map=new HashMap<>();
                //查询全部数据，获取查询到的数据条数
                int size=certTrainingHistoryMapper.selectList(null).size();
                // 判断是否查询到数据
                if (size<=0){
                        //如果查询到的条数小于等于0 那么就是未查到数据 key为data  值为说明该表数据为空
                        map.put("cth","cert_training_history表数据为空");
                        return map;
                }
                //如果查询到数据 key为data  值为list集合
                map.put("cth",certTrainingHistoryMapper.selectList(null).get(0));
                return map;
        }
}
