package com.nec.peppa.learning.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nec.peppa.learning.mapper.RecordAnnualMapper;
import com.nec.peppa.learning.entity.RecordAnnual;
import com.nec.peppa.learning.service.RecordAnnualService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

/**
 * <p>
 * 认证记录明细表每年一条记录 服务实现类
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-08
 */
@Service
public class RecordAnnualServiceImpl extends ServiceImpl<RecordAnnualMapper, RecordAnnual> implements RecordAnnualService {
    @Autowired
    private RecordAnnualMapper recordAnnualMapper;
    public Map<String,Object> findOne(){
        HashMap<String,Object> map=new HashMap<>();
        int size=recordAnnualMapper.selectList(null).size();
        if (size<=0){
            map.put("cra","cert_record_annual表数据为空");
            return map;
        }
        map.put("cra",recordAnnualMapper.selectList(null).get(0));
        return map;
    }
}
