package com.nec.peppa.learning.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nec.peppa.learning.mapper.RecordDetailMapper;
import com.nec.peppa.learning.entity.RecordDetail;
import com.nec.peppa.learning.service.RecordDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

/**
 * <p>
 * 认证课程状态明细表 服务实现类
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-08
 */
@Service
public class RecordDetailServiceImpl extends ServiceImpl<RecordDetailMapper, RecordDetail> implements RecordDetailService {
    @Autowired
    private RecordDetailMapper recordDetailMapper;
    public Map<String,Object> findOne(){
        HashMap<String,Object> map=new HashMap<>();

        int size=recordDetailMapper.selectList(null).size();
        if (size<=0){
            map.put("crd","cert_record_detail数据为空");
            return map;
        }
        map.put("crd",recordDetailMapper.selectList(null).get(0));
        return map;
    }
}
