package com.nec.peppa.learning.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nec.peppa.learning.mapper.RecordMainMapper;
import com.nec.peppa.learning.entity.RecordMain;
import com.nec.peppa.learning.service.RecordMainService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

/**
 * <p>
 * 认证记录主表 服务实现类
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-08
 */
@Service
public class RecordMainServiceImpl extends ServiceImpl<RecordMainMapper, RecordMain> implements RecordMainService {
    @Autowired
    private RecordMainMapper recordMainMapper;
    public Map<String,Object> findOne(){
        HashMap<String,Object> map=new HashMap<>();
        int size=recordMainMapper.selectList(null).size();
        if (size<=0){
            map.put("crm","cert_record_main表数据为空");
            return map;
        }
        map.put("crm",recordMainMapper.selectList(null).get(0));
        return map;
    }
}
