package com.nec.peppa.learning.service.impl;


import com.nec.peppa.learning.entity.ResultInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;


@Service
public class ServerImpl {
    // 创建一个结果类对象
    private ResultInfo resultInfo=new ResultInfo();
    @Autowired
    private CertTrainingHistoryServiceImpl certTrainingHistoryService;
    @Autowired
    private InfoServiceImpl infoService;
    @Autowired
    private RecertRecordDetailServiceImpl recertRecordDetailService;
    @Autowired
    private RecertRuleServiceImpl recertRuleService;
    @Autowired
    private RecertRuleStatusServiceImpl recertRuleStatusService;
    @Autowired
    private RecordAnnualServiceImpl recordAnnualService;
    @Autowired
    private RecordDetailServiceImpl recordDetailService;
    @Autowired
    private RecordMainServiceImpl recordMainService;
    @Autowired
    private RuleInfoServiceImpl ruleInfoService;
    @Autowired
    private RuleServiceImpl ruleService;
    @Autowired
    private RuleStatusServiceImpl ruleStatusService;
    @Autowired
    private TrainingHistoryServiceImpl trainingHistoryService;
    /*
    *把所有表的数据存到resultInfo中
    * */
    public ResultInfo allData(){
        // 创建一个list集合，存储map并为结果类赋值
        List<Map<String,Object>> list=new ArrayList<>();
        // 调用各个表的service层实现类的查询方法，存储到list集合中
        list.add(certTrainingHistoryService.findOne());
        list.add(infoService.findOne());
        list.add(recertRecordDetailService.findOne());
        list.add(recertRuleService.findOne());
        list.add(recertRuleStatusService.findOne());
        list.add(recordAnnualService.findOne());
        list.add(recordDetailService.findOne());
        list.add(recordMainService.findOne());
        list.add(ruleInfoService.findOne());
        list.add(ruleService.findOne());
        list.add(ruleStatusService.findOne());
        list.add(trainingHistoryService.findOne());
        // 把存完map数据的list复制给结果类对象
        resultInfo.setData(list);
        // 返回这个结果类对象
        return resultInfo;
    }
}
